Bug 136485 - md/raid1 read retry does not work
Summary: md/raid1 read retry does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Doug Ledford
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 135876
TreeView+ depends on / blocked
 
Reported: 2004-10-20 13:52 UTC by Paul Clements
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 12:36:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
raid1 bio clone on read error (930 bytes, patch)
2004-10-20 13:54 UTC, Paul Clements
no flags Details | Diff

Description Paul Clements 2004-10-20 13:52:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
Currently, the mainline kernel (and therefore 2.6.8, which the RHEL 4
kernel is based on) do not correctly perform raid1 read retry. I
posted a patch to linux-raid on Sept 15 to fix this
(http://marc.theaimsgroup.com/?l=linux-raid&m=109527014728404&w=2).
Neil Brown has confirmed the problem and just yesterday posted an
expanded patch (including the fix for raid10 also):

description:
http://marc.theaimsgroup.com/?l=linux-raid&m=109824318228668&w=2

patch:
http://marc.theaimsgroup.com/?l=linux-raid&m=109824318202358&w=2


(My version of the patch, which applies to the RHEL4 kernel, and which
is basically identical to Neil's patch, is attached).

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.528.2.10

How reproducible:
Always

Steps to Reproduce:
1. create md/raid1 array
2. fail the second drive while doing reads to the array
    

Actual Results:  read retry will be attempted but will always fail --
additionally the driver is unable to recover from the situation

Expected Results:  read retry should succeed

Additional info:

Comment 1 Paul Clements 2004-10-20 13:54:59 UTC
Created attachment 105507 [details]
raid1 bio clone on read error

Comment 3 Dave Jones 2004-11-04 22:58:31 UTC
fixed in cvs


Comment 4 Jay Turner 2004-12-13 12:36:38 UTC
Patch is indeed present in 2.6.9-1.903_EL.  Closing out.


Note You need to log in before you can comment on or make changes to this bug.